﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MAL_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_MAL_COMPCONFIG', 'T_MAL_COMPCONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MAL_COMPCONF_FNUM') CREATE INDEX IDX_T_MAL_COMPCONF_FNUM ON T_MAL_COMPCONFIG ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_MAL_COMPENTRY_FJ', 'T_MAL_COMPENTRY_FJ', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MAL_COMPEN_FJ_FID') CREATE INDEX IDX_T_MAL_COMPEN_FJ_FID ON T_MAL_COMPENTRY_FJ ( FBASEDATAID );


 EXEC P_ALTERPK 'PK_T_MAL_COMPGROUP', 'T_MAL_COMPGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MAL_COMPGP_FNUM') CREATE INDEX IDX_T_MAL_COMPGP_FNUM ON T_MAL_COMPGROUP ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_MAL_COMPONENT', 'T_MAL_COMPONENT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MAL_COMP_FNUM') CREATE INDEX IDX_T_MAL_COMP_FNUM ON T_MAL_COMPONENT ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MAL_COMP_FMAST') CREATE INDEX IDX_T_MAL_COMP_FMAST ON T_MAL_COMPONENT ( FMASTERID );


 EXEC P_ALTERPK 'PK_T_MAL_COMPSUBENTRY', 'T_MAL_COMPSUBENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MAL_CPSUBEN_FGOODS') CREATE INDEX IDX_T_MAL_CPSUBEN_FGOODS ON T_MAL_COMPSUBENTRY ( FGOODSID );


 EXEC P_ALTERPK 'PK_T_MAL_CONFIGENTRY', 'T_MAL_CONFIGENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MAL_CONFENT_FCOMID') CREATE INDEX IDX_T_MAL_CONFENT_FCOMID ON T_MAL_CONFIGENTRY ( FCOMPONENTID );


 EXEC P_ALTERPK 'PK_MAL_COMPGROUP_L', 'T_MAL_COMPGROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MAL_COMPGP_L_FID') CREATE INDEX IDX_T_MAL_COMPGP_L_FID ON T_MAL_COMPGROUP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_MAL_COMPCONFIG_L', 'T_MAL_COMPCONFIG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MAL_COMPCONF_L_FID') CREATE INDEX IDX_T_MAL_COMPCONF_L_FID ON T_MAL_COMPCONFIG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_MAL_COMPONENT_L', 'T_MAL_COMPONENT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MAL_COMP_L_FID') CREATE INDEX IDX_T_MAL_COMP_L_FID ON T_MAL_COMPONENT_L ( FID );


 EXEC P_ALTERPK 'PK_T_MAL_COMPENTRY', 'T_MAL_COMPENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MAL_COMPEN_FCAT') CREATE INDEX IDX_T_MAL_COMPEN_FCAT ON T_MAL_COMPENTRY ( FCATEGORYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MAL_COMPEN_FGOODS') CREATE INDEX IDX_T_MAL_COMPEN_FGOODS ON T_MAL_COMPENTRY ( FGOODSID );


 EXEC P_ALTERPK 'PK_MAL_BIZCONFIGENTRY', 'T_MAL_BIZCONFIGENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_BIZCONFIGENTRY') CREATE INDEX IDX_MAL_BIZCONFIGENTRY ON T_MAL_BIZCONFIGENTRY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_MAL_CATMATGROUP', 'T_MAL_CATMATGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_CATMATGROUP') CREATE INDEX IDX_MAL_CATMATGROUP ON T_MAL_CATMATGROUP ( FBILLNO );


 EXEC P_ALTERPK 'PK_MAL_BIZCONFIG', 'T_MAL_BIZCONFIG', 'FID,FNUMBER', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_BIZCONFIG') CREATE INDEX IDX_MAL_BIZCONFIG ON T_MAL_BIZCONFIG ( FNUMBER );


 EXEC P_ALTERPK 'PK_MAL_BIZCONFIG_L', 'T_MAL_BIZCONFIG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_BIZCONFIG_L') CREATE INDEX IDX_MAL_BIZCONFIG_L ON T_MAL_BIZCONFIG_L ( FID ,FLOCALEID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MAL_constraint.sql **/
