﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MAL_constraint.sql **/
 EXEC P_ALTERPK 'PK_MAL_FREIGHT_L', 'T_MAL_FREIGHT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_FREIGHT_L_FID') CREATE INDEX IDX_MAL_FREIGHT_L_FID ON T_MAL_FREIGHT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_MAL_FREIGHTENTRY_CITY', 'T_MAL_FREIGHTENTRY_CITY', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_FREIGHTENTRY_CITY_FID') CREATE INDEX IDX_MAL_FREIGHTENTRY_CITY_FID ON T_MAL_FREIGHTENTRY_CITY ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_MAL_FREIGHTENTRY_PRO', 'T_MAL_FREIGHTENTRY_PRO', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_FREIGHTENTRY_PRO_FID') CREATE INDEX IDX_MAL_FREIGHTENTRY_PRO_FID ON T_MAL_FREIGHTENTRY_PRO ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_MAL_SURCHARGE_L', 'T_MAL_SURCHARGE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_SURCHARGE_L_FID') CREATE INDEX IDX_MAL_SURCHARGE_L_FID ON T_MAL_SURCHARGE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_MAL_FREIGHTENTRY', 'T_MAL_FREIGHTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_FREIGHTENTRY_FID_FSEQ') CREATE INDEX IDX_MAL_FREIGHTENTRY_FID_FSEQ ON T_MAL_FREIGHTENTRY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_MAL_FREIGHT', 'T_MAL_FREIGHT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_FREIGHT_FNUMBER') CREATE INDEX IDX_MAL_FREIGHT_FNUMBER ON T_MAL_FREIGHT ( FNUMBER );


 EXEC P_ALTERPK 'PK_MAL_SURCHARGE', 'T_MAL_SURCHARGE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_SURCHARGE_FNUMBER') CREATE INDEX IDX_MAL_SURCHARGE_FNUMBER ON T_MAL_SURCHARGE ( FNUMBER );


 EXEC P_ALTERPK 'PK_MAL_JDORDER', 'T_MAL_JDORDER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_JDORDER_NUMBER') CREATE INDEX IDX_MAL_JDORDER_NUMBER ON T_MAL_JDORDER ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_JDORDER_FJDORDERID') CREATE INDEX IDX_MAL_JDORDER_FJDORDERID ON T_MAL_JDORDER ( FJDORDERID );


 EXEC P_ALTERPK 'PK_MAL_JDORDER_L', 'T_MAL_JDORDER_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_JDORDER_L_FID') CREATE INDEX IDX_MAL_JDORDER_L_FID ON T_MAL_JDORDER_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_MAL_JDORDERENTRY', 'T_MAL_JDORDERENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_JDORDERENTRY_FID_FSEQ') CREATE INDEX IDX_MAL_JDORDERENTRY_FID_FSEQ ON T_MAL_JDORDERENTRY ( FID ,FSEQ );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MAL_JDORDERENTRY_FGOODSID') CREATE INDEX IDX_MAL_JDORDERENTRY_FGOODSID ON T_MAL_JDORDERENTRY ( FGOODSID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MAL_constraint.sql **/
